//
//  This shaders are mostly stealed from Cpm23, 
//  by Matt "Lunaran"  Breit (matt@lunaran.com,http://www.lunaran.com)
//  
//  I add only few, stealed from ID originals :)
//  ShadoW


textures/destroyer/crow1a
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	qer_editorimage textures/destroyer/crow1.tga
//	deformVertexes move 1 0.6 0.5 sin 0 48 0 0.042
	{
		map textures/destroyer/crow1.tga
		rgbGen identity
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/destroyer/crow2a
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	qer_editorimage textures/destroyer/crow1.tga
	deformVertexes move 1 0.3 0.5 sin 0 72 0 0.08
	  	{
		map textures/destroyer/crow1.tga
		rgbGen identity
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/destroyer/nubiansky2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 .9 .8 30 300 60
	q3map_surfacelight 230
	qer_editorimage textures/destroyer/nubian5.tga
	skyparms env/q3shw21 768 -
	{
		map textures/destroyer/nubian5.tga
		tcMod scale 4 4
		tcMod scroll 0.05 0.05
		blendFunc GL_ONE GL_ONE
	}
}

//                         \\
// --   Bouncy Bouncy   -- \\
//                         \\

textures/destroyer/fan2
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		clampmap textures/destroyer/fan2.tga
		tcMod rotate 512 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen identity 
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/destroyer/jump1
{
	q3map_lightimage textures/destroyer/jump1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		clampmap textures/destroyer/jump1fx.tga
		rgbGen identity
		tcMod stretch sawtooth 0.2 1.5 0 1
	}
	{
		clampmap textures/destroyer/jump1fx.tga
		rgbGen identity
		tcMod stretch sawtooth 0.2 1.5 0.5 1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/destroyer/jump1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//                       \\
// --   Alpha Texes   -- \\
//                       \\

textures/destroyer/protograte1a
{
	qer_editorimage textures/destroyer/protograte1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/destroyer/protograte1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/destroyer/protograte2a
{
	qer_editorimage textures/destroyer/protograte2.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/destroyer/protograte2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/destroyer/protograte3a
{
	qer_editorimage textures/destroyer/protograte3.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/destroyer/protograte3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//                  \\
// --   Floors   -- \\
//                  \\

textures/destroyer/clangfloor1
{
	surfaceparm metalsteps
	{
		map textures/destroyer/clangfloor1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/destroyer/clangfloor1stripe
{
	surfaceparm metalsteps
	{
		map textures/destroyer/clangfloor1stripe.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/destroyer/clangfloor2
{
	surfaceparm metalsteps
	{
		map textures/destroyer/clangfloor2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/destroyer/clangfloor2shiny
{
	surfaceparm metalsteps
	qer_editorimage textures/destroyer/clangfloor2.tga
	{
		map textures/destroyer/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/destroyer/clangfloor2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/destroyer/clangfloor3bloodshiny
{	
	surfaceparm metalsteps
	qer_editorimage textures/destroyer/clangfloor3blood.tga
	{
		map textures/destroyer/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/destroyer/clangfloor3blood.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/destroyer/clangfloor4
{
	surfaceparm metalsteps
	{
		map textures/destroyer/clangfloor4.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/destroyer/clangfloor4shiny
{
	surfaceparm metalsteps
	qer_editorimage textures/destroyer/clangfloor4.tga
	{
		map textures/destroyer/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/destroyer/clangfloor4.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/destroyer/cstonefloor1bloodshiny
{	
	surfaceparm metalsteps
	qer_editorimage textures/destroyer/cstonefloor1blood.tga
	{ 		map textures/destroyer/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/destroyer/cstonefloor1blood.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//                     \\
// --   Computers   -- \\
//                     \\

textures/destroyer/q1comp4
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/q1comp4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/q1comp4glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 0.2 0 0.1
	}
}

textures/destroyer/q1comp6a
{
	qer_editorimage textures/destroyer/q1comp6.tga
	{
		map textures/destroyer/q1comp6fx01.tga
		rgbGen identity
		tcMod scroll 0 -0.15
	}
	{
		map textures/destroyer/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/destroyer/q1comp6b
{
	qer_editorimage textures/destroyer/q1comp6.tga
	{
		map textures/destroyer/q1comp6fx02.tga
		rgbGen identity
	}
	{
		map textures/destroyer/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/destroyer/q1comp6c
{
	qer_editorimage textures/destroyer/q1comp6.tga
	{
		map textures/destroyer/q1comp6fx03.tga
		rgbGen identity
	}
	{
		map textures/destroyer/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/destroyer/q1comp6d
{
	qer_editorimage textures/destroyer/q1comp6.tga
	{
		map textures/destroyer/q1comp6fx04.tga
		rgbGen identity
	}
	{
		map textures/destroyer/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/destroyer/q1comp6e
{
	qer_editorimage textures/destroyer/q1comp6.tga
	{
		map textures/destroyer/q1comp6fx05a.tga
		rgbGen identity
		tcmod scale 1 1.5
		tcmod scroll 0 -1
	}
	{
		map textures/destroyer/q1comp6fx05b.tga
		rgbGen identity
		tcmod scroll -3 -5
		tcmod rotate 180
		tcmod scale 1 -1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/destroyer/q1comp6fx05b.tga
		tcmod scroll 2 7
		tcmod rotate -270
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//                      \\
// --  Shiny Panels  -- \\
//                      \\

textures/destroyer/pan4ashiny
{
	qer_editorimage textures/destroyer/pan4a.tga
	{
		map textures/destroyer/lunfx.tga
		tcGen environment
		rgbGen identity

	}
	{
		map textures/destroyer/pan4a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/destroyer/pan4bshiny
{
	qer_editorimage textures/destroyer/pan4b.tga
	{
		map textures/destroyer/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/destroyer/pan4b.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//                     \\
// --  Death Metal  -- \\
//                     \\

textures/destroyer/wmetal1shiny
{
	qer_editorimage textures/destroyer/wmetal1.tga
	{
		map textures/destroyer/lunfx2.tga
		tcGen environment
	}
	{
		map textures/destroyer/wmetal1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/destroyer/wmetal2shiny
{
	qer_editorimage textures/destroyer/wmetal2.tga
	{
		map textures/destroyer/lunfx2.tga
		tcGen environment
	}
	{
		map textures/destroyer/wmetal2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/destroyer/wmetal3shiny
{
	qer_editorimage textures/destroyer/wmetal3.tga
	{
		map textures/destroyer/lunfx2.tga
		tcGen environment
	}
	{
		map textures/destroyer/wmetal3.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//              \\
// -- Panels -- \\
//              \\

textures/destroyer/zinc_lite1
{
	q3map_lightimage textures/destroyer/sup_lite1fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/zinc_lite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/sup_lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/destroyer/zinc_lite2
{
	q3map_lightimage textures/destroyer/sup_lite2fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/zinc_lite2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/sup_lite2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/destroyer/zinc_lite3
{
	q3map_lightimage textures/destroyer/sup_lite3fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/zinc_lite3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/sup_lite3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/destroyer/zinc_lite4
{
	q3map_lightimage textures/destroyer/zinc_lite4fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/zinc_lite4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/zinc_lite4fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

//                             \\
// --  Triangular BalLites  -- \\
//                             \\

textures/destroyer/trilite1_500
{
	qer_editorimage textures/destroyer/trilite1.tga
	q3map_lightimage textures/destroyer/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/destroyer/trilite1_1000
{
	qer_editorimage textures/destroyer/trilite1.tga
	q3map_lightimage textures/destroyer/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/destroyer/trilite1_2000
{
	qer_editorimage textures/destroyer/trilite1.tga
	q3map_lightimage textures/destroyer/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/destroyer/trilite1_3500
{
	qer_editorimage textures/destroyer/trilite1.tga
	q3map_lightimage textures/destroyer/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

//                     \\
// --  Lite Panels  -- \\
//                     \\

textures/destroyer/litpan1_flik
{
	qer_editorimage textures/destroyer/litpan1.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 180 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/destroyer/litpan1_500
{
	qer_editorimage textures/destroyer/litpan1.tga
	q3map_lightimage textures/destroyer/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan1_1000
{
	qer_editorimage textures/destroyer/litpan1.tga
	q3map_lightimage textures/destroyer/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan1_2000
{
	qer_editorimage textures/destroyer/litpan1.tga
	q3map_lightimage textures/destroyer/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan1_3500
{
	qer_editorimage textures/destroyer/litpan1.tga
	q3map_lightimage textures/destroyer/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan2_flik2
{
	qer_editorimage textures/destroyer/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.4 1.2 450 8
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/destroyer/litpan2_flik3
{
	qer_editorimage textures/destroyer/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 1800 6
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/destroyer/litpan2_flik
{
	qer_editorimage textures/destroyer/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 45 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/destroyer/litpan2_500
{
	qer_editorimage textures/destroyer/litpan2.tga
	q3map_lightimage textures/destroyer/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan2_1000
{
	qer_editorimage textures/destroyer/litpan2.tga
	q3map_lightimage textures/destroyer/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan2_2000
{
	qer_editorimage textures/destroyer/litpan2.tga
	q3map_lightimage textures/destroyer/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity

	}
	{

		map textures/destroyer/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan2_3500
{
	qer_editorimage textures/destroyer/litpan2.tga
	q3map_lightimage textures/destroyer/litpan2fx.tga

	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan3_flik
{
	qer_editorimage textures/destroyer/litpan3.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 90 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/destroyer/litpan3_500
{
	qer_editorimage textures/destroyer/litpan3.tga
	q3map_lightimage textures/destroyer/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan3_1000
{
	qer_editorimage textures/destroyer/litpan3.tga
	q3map_lightimage textures/destroyer/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan3_2000
{
	qer_editorimage textures/destroyer/litpan3.tga
	q3map_lightimage textures/destroyer/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/destroyer/litpan3_3500
{
	qer_editorimage textures/destroyer/litpan3.tga
	q3map_lightimage textures/destroyer/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500

	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}


//					 \\
// --  Goth1s  -- \\
//					 \\

textures/destroyer/goth1_500
{
	qer_editorimage textures/destroyer/goth1.tga

	q3map_lightimage textures/destroyer/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

textures/destroyer/goth1_1000
{
	qer_editorimage textures/destroyer/goth1.tga


	q3map_lightimage textures/destroyer/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

textures/destroyer/goth1_2000
{
	qer_editorimage textures/destroyer/goth1.tga
	q3map_lightimage textures/destroyer/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

textures/destroyer/goth1_3500
{
	qer_editorimage textures/destroyer/goth1.tga
	q3map_lightimage textures/destroyer/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

//                  \\
// --   Protos   -- \\
//                  \\

textures/destroyer/proto1_1000
{
	qer_editorimage textures/destroyer/proto1.tga
	q3map_lightimage textures/destroyer/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO

		rgbGen identity
	}
	{	
		map textures/destroyer/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/destroyer/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

textures/destroyer/proto1_500
{
	qer_editorimage textures/destroyer/proto1.tga
	q3map_lightimage textures/destroyer/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/destroyer/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/destroyer/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

textures/destroyer/proto1_2000
{
	qer_editorimage textures/destroyer/proto1.tga
	q3map_lightimage textures/destroyer/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/destroyer/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/destroyer/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

textures/destroyer/proto1_3000
{
	qer_editorimage textures/destroyer/proto1.tga
	q3map_lightimage textures/destroyer/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/destroyer/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/destroyer/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

//              \\
// -- Ceil11 -- \\
//              \\

textures/destroyer/ceil11
{
	qer_editorimage textures/destroyer/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil11_1k
{
	qer_editorimage textures/destroyer/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil11_2500
{
	qer_editorimage textures/destroyer/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil11_5k
{
	qer_editorimage textures/destroyer/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil11_10k

{
	qer_editorimage textures/destroyer/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil11_20k
{
	qer_editorimage textures/destroyer/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/destroyer/ceil11_30k
{
	qer_editorimage textures/destroyer/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//              \\
// -- ceil12 -- \\
//              \\

textures/destroyer/ceil12
{
	qer_editorimage textures/destroyer/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil12_1k
{
	qer_editorimage textures/destroyer/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil12_2500
{
	qer_editorimage textures/destroyer/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity

	}
	{
		map textures/destroyer/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil12_5k
{
	qer_editorimage textures/destroyer/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil12_10k
{
	qer_editorimage textures/destroyer/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil12_20k
{
	qer_editorimage textures/destroyer/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil12_30k
{
	qer_editorimage textures/destroyer/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO

		rgbGen identity
	}
	{
		map textures/destroyer/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//              \\
// -- ceil15 -- \\
//              \\

textures/destroyer/ceil15
{
		qer_editorimage textures/destroyer/ceil15.tga
	q3map_lightimage textures/destroyer/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/destroyer/ceil15_1k
{
		qer_editorimage textures/destroyer/ceil15.tga
	q3map_lightimage textures/destroyer/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil15_2500
{
		qer_editorimage textures/destroyer/ceil15.tga
	q3map_lightimage textures/destroyer/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil15_5k
{
		qer_editorimage textures/destroyer/ceil15.tga
	q3map_lightimage textures/destroyer/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15fx.tga

		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil15_10k
{
		qer_editorimage textures/destroyer/ceil15.tga
	q3map_lightimage textures/destroyer/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity

	}
	{
		map textures/destroyer/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil15_20k
{
		qer_editorimage textures/destroyer/ceil15.tga
	q3map_lightimage textures/destroyer/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil15_30k

{
		qer_editorimage textures/destroyer/ceil15.tga
	q3map_lightimage textures/destroyer/ceil15fx.tga


	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//              \\
// -- ceil16 -- \\
//              \\

textures/destroyer/ceil16
{
		qer_editorimage textures/destroyer/ceil16.tga
	q3map_lightimage textures/destroyer/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil16_1k
{
		qer_editorimage textures/destroyer/ceil16.tga
	q3map_lightimage textures/destroyer/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil16_2500
{
	qer_editorimage textures/destroyer/ceil16.tga
	q3map_lightimage textures/destroyer/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil16_5k
{
		qer_editorimage textures/destroyer/ceil16.tga
	q3map_lightimage textures/destroyer/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil16_10k
{
		qer_editorimage textures/destroyer/ceil16.tga
	q3map_lightimage textures/destroyer/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}
 textures/destroyer/ceil16_20k
{
		qer_editorimage textures/destroyer/ceil16.tga
	q3map_lightimage textures/destroyer/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/destroyer/ceil16_30k
{
		qer_editorimage textures/destroyer/ceil16.tga
	q3map_lightimage textures/destroyer/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity

	}
	{
		map textures/destroyer/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/destroyer/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//                \\
// -- Slipgate -- \\
//                \\

textures/destroyer/jump2
{
	q3map_lightimage textures/destroyer/jump2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map textures/destroyer/jump2fx.tga
		rgbGen identity
		tcMod scroll 0 1
	}
	{
		map textures/destroyer/jump2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/destroyer/slipgate
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_globaltexture
	qer_editorimage textures/destroyer/slip2.tga
	tessSize 32
//	deformVertexes normal 1 0
//	deformvertexes normal 64 sine 2 0.1
//	deformVertexes wave 64 sine 0 0.5 0 0.2
//	DAMN!
	{
		map textures/destroyer/slip2.tga
		tcMod turb 0 0.5 0 0.2 // I'll take what I can get ... unfortunately, I could have had better ...
		tcMod scale 0.25 0.25
	}
	{
		map textures/destroyer/slip2.tga
		tcMod turb 0 0.5 0.3 0.2
		tcMod scale 0.5 0.5
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/destroyer/slip1.tga
		tcMod turb 0 1 0 4
		tcMod scale 0.25 0.25
		tcmod scroll .2 -.2
		blendFunc GL_DST_COLOR GL_ZERO
	}

}


textures/destroyer/wcrod4_bump
{
qer_editorimage textures/destroyer/wcrod4.tga
q3map_normalimage textures/destroyer/wcrod4_bump.tga
q3map_lightmapsamplesize 1
{
map $lightmap
}
{
map textures/destroyer/wcrod4.tga
blendFunc GL_DST_COLOR GL_ZERO
rgbGen identity
}
}


textures/destroyer/5_lava01
{
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 100
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 1 1 .1 0.1
	
	{
		map textures/destroyer/5_lava01.tga
		tcMod turb 0 .1 0 .05
	}


}
textures/destroyer/metpan_lite1
{
	qer_editorimage textures/destroyer/metpan_lite1.tga
	q3map_lightimage textures/destroyer/metpan_lite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/metpan_lite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/metpan_lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}
textures/destroyer/lite1
{
	qer_editorimage textures/destroyer/lite1.tga
	q3map_lightimage textures/destroyer/lite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/destroyer/lite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/destroyer/lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}
textures/timetodie/tele
{
	qer_editorimage textures/timetodie/tele.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	tessSize 128
	q3map_surfacelight 25

	{
		map textures/timetodie/tele.tga
		//blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.2
	}
}

